summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2011-11-26 20:42:02 +0000
committerMichał Górny <mgorny@gentoo.org>2011-11-26 20:42:02 +0000
commit51ee444b85ed34df1c1a36cbebd0dfda6e95c440 (patch)
treeb41c2c573bb29b2670644ff2154f5360bac6cb85 /eclass/autotools-utils.eclass
parentremove release that did not work with rc_parallel (diff)
downloadgentoo-2-51ee444b85ed34df1c1a36cbebd0dfda6e95c440.tar.gz
gentoo-2-51ee444b85ed34df1c1a36cbebd0dfda6e95c440.tar.bz2
gentoo-2-51ee444b85ed34df1c1a36cbebd0dfda6e95c440.zip
Add failure handling for pushd/popd calls.
Diffstat (limited to 'eclass/autotools-utils.eclass')
-rw-r--r--eclass/autotools-utils.eclass20
1 files changed, 10 insertions, 10 deletions
diff --git a/eclass/autotools-utils.eclass b/eclass/autotools-utils.eclass
index bf9c9ac97b21..f3826d0fe28b 100644
--- a/eclass/autotools-utils.eclass
+++ b/eclass/autotools-utils.eclass
@@ -1,6 +1,6 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.25 2011/10/14 20:28:29 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.26 2011/11/26 20:42:02 mgorny Exp $
# @ECLASS: autotools-utils.eclass
# @MAINTAINER:
@@ -256,9 +256,9 @@ autotools-utils_src_configure() {
_check_build_dir
mkdir -p "${AUTOTOOLS_BUILD_DIR}" || die "mkdir '${AUTOTOOLS_BUILD_DIR}' failed"
- pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null
+ pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null || die
base_src_configure "${econfargs[@]}" "$@"
- popd > /dev/null
+ popd > /dev/null || die
}
# @FUNCTION: autotools-utils_src_compile
@@ -268,9 +268,9 @@ autotools-utils_src_compile() {
debug-print-function ${FUNCNAME} "$@"
_check_build_dir
- pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null
+ pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null || die
base_src_compile "$@"
- popd > /dev/null
+ popd > /dev/null || die
}
# @FUNCTION: autotools-utils_src_install
@@ -285,9 +285,9 @@ autotools-utils_src_install() {
debug-print-function ${FUNCNAME} "$@"
_check_build_dir
- pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null
+ pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null || die
base_src_install "$@"
- popd > /dev/null
+ popd > /dev/null || die
# Remove libtool files and unnecessary static libs
remove_libtool_files
@@ -300,8 +300,8 @@ autotools-utils_src_test() {
debug-print-function ${FUNCNAME} "$@"
_check_build_dir
- pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null
+ pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null || die
# Run default src_test as defined in ebuild.sh
default_src_test
- popd > /dev/null
+ popd > /dev/null || die
}